Bug 8419 - Suspended holds appear on the daily holds queue
Summary: Suspended holds appear on the daily holds queue
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-11 14:16 UTC by Kyle M Hall
Modified: 2015-06-04 23:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8419 - Suspended holds appear on the daily holds queue (2.12 KB, patch)
2012-07-11 14:21 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8419 - Suspended holds appear on the daily holds queue (2.22 KB, patch)
2012-08-06 13:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8419 - Suspended holds appear on the daily holds queue (1.59 KB, patch)
2013-04-15 12:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8419 - Suspended holds appear on the daily holds queue (1.64 KB, patch)
2013-04-29 07:58 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 8419 - Suspended holds appear on the daily holds queue (1.74 KB, patch)
2013-04-29 19:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2012-07-11 14:16:00 UTC
Suspended holds are showing up in both the holds queue and holds to pull reports.
Comment 1 Kyle M Hall 2012-07-11 14:21:31 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-08-06 13:23:27 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2012-08-06 13:25:59 UTC
Before the patch, a title with a single hold, suspended, appeared in the holds queue report. After the patch that hold no longer appeared in the report. I added another hold on that same title, rebuilt the holds queue report, and the new hold appeared. The holds to pull report appears correct as well.
Comment 4 Jonathan Druart 2012-08-09 11:47:13 UTC
QA Comments:
Seems good for me, marking as Passed QA.
Comment 5 Chris Cormack 2012-08-10 07:20:33 UTC
Pushed to 3.8.x will be in 3.8.4
Comment 6 Paul Poulain 2012-08-31 15:57:21 UTC
Pushed to master. Already pushed to stable, setting status accordingly
Comment 7 Nicole C. Engard 2013-04-10 17:17:54 UTC
This appears to have resurfaced in 3.10.3

Nicole
Comment 8 Chris Cormack 2013-04-10 21:36:19 UTC
(In reply to comment #7)
> This appears to have resurfaced in 3.10.3
> 
> Nicole

3.10.4 is the latest release have you tested that? Or 3.10.x itself?
Comment 9 Kyle M Hall 2013-04-15 12:43:45 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2013-04-15 12:44:27 UTC
I have tested and verified that this bug has been reintroduced in both 3.10.x and master.

(In reply to comment #8)
> (In reply to comment #7)
> > This appears to have resurfaced in 3.10.3
> > 
> > Nicole
> 
> 3.10.4 is the latest release have you tested that? Or 3.10.x itself?
Comment 11 Chris Cormack 2013-04-29 07:58:48 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2013-04-29 19:59:38 UTC
Created attachment 17818 [details] [review]
[PASSED QA] Bug 8419 - Suspended holds appear on the daily holds queue

This bug was reintroduced by the patch for bu 5911: Transport Cost Matrix

Test Plan:
1) Place a hold on a record
2) Run build_holds_queue.pl
3) Verify the hold is showing in the holds queue
4) Suspend the hold
5) Re-run build_holds_queue.pl
6) Note the hold is still in the holds queue
7) Apply patch
8) Re-run build_holds_queue.pl
9) Note the hold is no longer in the holds queue

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes test plan and QA script.
Comment 13 Jared Camins-Esakov 2013-05-01 12:15:31 UTC
This patch has been pushed to master and 3.12.x.
Comment 14 Chris Cormack 2013-05-09 07:20:53 UTC
Pushed to 3.10.x will be in 3.10.6